<h4 align="center">
    <img alt="logo" src="https://raw.githubusercontent.com/imum-ai/promptlab/main/img/logo.png" style="height:200px">
</h4>

## Table of Contents
- [PromptLab](#promptlab)
- [Why PromptLab](#why-promptlab)
- [Documentation](#documentation)
- [Samples](#samples)
- [How Tos](#samples)

## PromptLab

PromptLab is a free, lightweight, open-source experimentation tool for Gen AI applications. 

## Why PromptLab

PromptLab streamlines prompt engineering, making it easy to set up experiments, evaluate prompts, and track them in production.

Key Benefits:

✅ Easy to adopt – No ML or Data Science expertise required.

✅ Self-contained – No need for additional cloud services for tracking or collaboration.

✅ Seamless integration – Works within your existing web, mobile, or backend project.

## Documentation

Check the [documentation](https://github.com/imum-ai/promptlab/blob/main/docs/README.md)

## Samples

- [Quickstart](https://github.com/imum-ai/promptlab/tree/main/samples/quickstart)
- [Custom Metric](https://github.com/imum-ai/promptlab/tree/main/samples/custom_metric)

## Articles

- [Evaluating prompts locally with Ollama and PromptLab](https://www.linkedin.com/pulse/evaluating-prompts-locally-ollama-promptlab-raihan-alam-i2iic)
- [Creating custom prompt evaluation metric with PromptLab](https://www.linkedin.com/pulse/promptlab-creating-custom-metric-prompt-evaluation-raihan-alam-o0slc)